Subject: Re: [PATCH] Documentation/config.txt: Order variables alphabetically

From: SZEDER Gábor <[email-masked]>
Date: Thu, 2 Dec 2010 02:02:29 +0100

On Wed, Dec 01, 2010 at 07:10:55PM +0200, Jari Aalto wrote:
> 2010-12-01 18:37 Jakub Narebski <[email-masked]>:
> > Having related config variables together is IMVHO more important than
> > having config variables sorted alphabetically.
> 
> That's subjective criteria.

I agree with Jakub; his criteria might be subjective, but it's highly
practical, while your examples are not.

> Most of the time you want to look up X. And alpha order is what doctor
> ordered.
> 
> Same for command line options. You read zillions of scripts and cryptic
> options. You want to consult manual page to see what an option means. Again
> you're searching A-Z.

When I want to look up X or a command line option seen somewhere, I
never search A-Z.  I always search using the pager's or browser's
search function.  And when it found what I was searching for, then I
much prefer to see related options on the same screen.

Best,
Gábor